MQBufferPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQBufferPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQBufferPool

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQBufferPool

extends LogicalElement, MQBase

(z/OS only) For efficiency, WebSphere MQ uses a form of caching whereby messages (and object definitions) are stored temporarily in buffers before being stored in page sets on DASD. Short-lived messages, that is, messages that are retrieved from a queue shortly after they are received, might only ever be stored in the buffers. However, this is all transparent to the user because the buffers are controlled by a buffer manager, which is a component of WebSphere MQ. The buffers are organized into buffer pools. You can define up to 16 buffer pools (0 through 15) for each queue manager - you are recommended to use the minimal number of buffer pools consistent with the object and message type segregation outlined in Figure 9, and any data isolation requirements your application might have. Each buffer is 4 KB long. The maximum number of buffers is determined by the amount of storage available in the queue manager address space - do not use more than about 70% of the space for buffers. Usually, the more buffers you have, the more efficient the buffering and the better the performance of WebSphere MQ.

Naming Rules:
  0="queueManager,ID"
Persistable:
  true
Table Name:
  MQBUFPOOL

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getID()` Buffer pool identifier.
`int` | `getNumber()` BUFFERS This is a required parameter and is the number of 4096 byte buffers to be used in this buffer pool.
`MQQueueManager` | `getQueueManager()`
`boolean` | `hasID()`
`boolean` | `hasNumber()`
`boolean` | `hasQueueManager()`
`void` | `setID(int x)`
`void` | `setNumber(int x)`
`void` | `setQueueManager(MQQueueManager x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getID

    int getID()
              throws AttributeNotSetException

  Buffer pool identifier. This is required. This is an integer in the range zero through 15.

  Throws:
    `AttributeNotSetException`

### setID

    void setID(int x)

### hasID

    boolean hasID()

### getNumber

    int getNumber()
                  throws AttributeNotSetException

  BUFFERS This is a required parameter and is the number of 4096 byte buffers to be used in this buffer pool. The minimum value is 100. The default number of buffers is 1000. The maximum value for all the buffer pools is determined by the amount of storage available in the WebSphere MQ address space.

  Throws:
    `AttributeNotSetException`

### setNumber

    void setNumber(int x)

### hasNumber

    boolean hasNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD